import { OnInit, ElementRef, OnDestroy, AfterViewInit } from '@angular/core';
import { ActionModel, BackgroundModel, LayOutModel } from '../../styles/style.model';
import BaseSection from '../BaseSection';
import { EventsService } from './../../services/events.service';
import { BannerCarouselContentModel, BannerCarouselModel, BannerCarouselStylesModel } from './banner-carousel.model';
import { OverlayValue } from '../../styles/index';
import * as i0 from "@angular/core";
export declare class BannerCarouselComponent extends BaseSection implements OnInit, AfterViewInit, OnDestroy {
    private _eventService;
    data?: BannerCarouselModel;
    index?: number;
    edit?: boolean;
    delete?: boolean;
    customClass?: string;
    nextComponentColor?: BackgroundModel;
    carouselElement: ElementRef;
    _mainContainer: ElementRef | null;
    id: string;
    action: ActionModel;
    content?: BannerCarouselContentModel;
    styles?: BannerCarouselStylesModel;
    currentIndex: number;
    private editorSubscription?;
    private carouselInstance;
    private isEditorOpen;
    constructor(_eventService: EventsService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private initializeCarousel;
    controlAutoSlide(shouldStart: boolean): void;
    selectSlide(index: number): void;
    get stylesLayout(): LayOutModel;
    get getBlurValue(): "NONE" | "LIGHT" | "MODERATE" | "STRONG" | "VERY_STRONG" | undefined;
    get getBackgroundColor(): BackgroundModel;
    get getBackgroundOpacity(): "0" | "1" | "0.7" | "0.5" | "0.6" | "0.8";
    opacityValue(value: OverlayValue): "1" | "0.7" | "0.5" | "0.6" | "0.8";
    editSection(): void;
    getScreenSize(): number;
    getSectionMinHeight(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<BannerCarouselComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BannerCarouselComponent, "simpo-banner-carousel", never, { "data": { "alias": "data"; "required": false; }; "index": { "alias": "index"; "required": false; }; "edit": { "alias": "edit"; "required": false; }; "delete": { "alias": "delete"; "required": false; }; "customClass": { "alias": "customClass"; "required": false; }; "nextComponentColor": { "alias": "nextComponentColor"; "required": false; }; }, {}, never, never, true, never>;
}
